-- Hilfeanzeige zur Bedienung für Scania Ballenaufbau Krone Ls17
-- created by ===sven===
-- Date: 01.08.2016
Help = {};

function Help.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function Help:load(xmlFile)
	self.help = false;
end;

function Help:delete()
end;

function Help:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Help:keyEvent(unicode, sym, modifier, isDown)
end;

function Help:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_HELP) then
			self.help = not self.help;
		end;
	end;
end;

function Help:updateTick(dt)
end;

function Help:draw()
	if not self.help then
		renderText(0.82, 0.22, 0.018, "Taste Numpad 0: Hilfe Ein");
	 else
		renderText(0.82, 0.22, 0.018, "Taste Numpad 0: Hilfe Aus");
		renderText(0.30, 0.19, 0.028, "Scania Ballenaufbau Krone Bedienung");
		renderText(0.25, 0.16, 0.021, "Plane Links.......Taste = linke alt taste und numepad 7          Bordwand Links .....Taste = Numepad7");		
		renderText(0.25, 0.14, 0.021, "Plane Rechts.....Taste = linke alt taste und numepad 9          Bordwand Hinten ....Taste = Numepad8");
		renderText(0.25, 0.12, 0.021, "Plane Hinten.....Taste = linke alt taste und numepad 8          Bordwand Rechts ....Taste = Numepad9");
		renderText(0.25, 0.10, 0.021, "Planenaufbau...Taste = STRG Links und U");
		renderText(0.25, 0.08, 0.021, "Planken..............Taste = M");		
		
		renderText(0.40, 0.04, 0.024, "        **created by sven**");
	end;
end;  

function Help:onLeave()
	self.help = false;
end;
